library GenDev;{ Template for easy creation of device driver for external device for CHROMuLAN.

This template was used for:
   1. 2004-06-15 RF10AXL.DLL - in older (dummier) format, not using exported methods
      of GenDevu and GenDevClass variable,  but redefining (copying them from
      GenDevu) all exported  methods in RF10AXLu.pas

   2. 2006-01-29 SPDA.DLL 


HowTo:

  1. Make copy of the GenDev.dpr using a name (e.g. XXXX) of your device instead of GenDev.
    (See SPDA.dpr for an example.)

  2. Create a XXXXu unit with definition of GenDevu.TGenDev descendant with some
     methods overriden, at least DoCharIn method. (see GenDevu.pas for
     description of methods which can be overridedn. See SPDAu.pas for
     example.)

  3. In the XXXXu unit initialization section assign your descendant
     type to GenDevu.GenDevClass:

      interface
      uses
        GenDevu;
      ...
      TXXXX = class(TGenDev)
      protected
        procedure DoCharIn(ch:char);override;
      end;
      ...
      implementation

      procedure TXXXX.DoCharIn(ch: char);
      begin
        ... // do something to create UlanType .TExpPoint from incoming chars and put it to fifo using TGenDev.Put method
      end;

      initialization
        GenDevu.GenDevClass := TXXXX;
      end.

    (see e.g. to SPDA.dpr, SPDAu.pas)

  4. Add the unit XXXXu to your XXXX.dpr DLL source

  5. Compile, put DLL to dev subdir of CHROMuLAN exe dir

  6. Run CHROMuLAN, see devices list

}

uses
  SysUtils,
  Classes,
  GenDevu in 'GenDevu.pas',

  { Your XXXXu unit }

 ;

exports
  ExtDevInit,
  ExtDevSetStr,
  ExtDevGetStr,
  ExtDevDoAction,
  ExtDevStart,
  ExtDevDoCharIn,
  ExtDevReadPoint,
  ExtDevStop,
  ExtDevDone;
begin
end.
